Home

Stride

v2.10
Base URL
https://stride.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

IBC

InterchainAccount returns the interchain account address for a given owner address on a given connection

GET
https://stride.nownodes.io/ibc/apps/interchain_accounts/controller/v1/owners/{owner}/connections/{connection_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
connection_idstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters of the ICA controller submodule.

GET
https://stride.nownodes.io/ibc/apps/interchain_accounts/controller/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters of the ICA host submodule.

GET
https://stride.nownodes.io/ibc/apps/interchain_accounts/host/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Channels queries all the IBC channels of a chain.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Channel queries an IBC Channel.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

revision_numberstring<uint64>requiredpath

revision number of the consensus state

revision_heightstring<uint64>requiredpath

revision height of the consensus state

Response

200OK

A successful response.

default

An unexpected error response.

NextSequenceReceive returns the next receive sequence for a given channel.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

packet_commitment_sequencesArray<string>query

list of packet sequences.

Response

200OK

A successful response.

default

An unexpected error response.

PacketAcknowledgement queries a stored packet acknowledgement hash.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

PacketCommitments returns all the packet commitments hashes associated with a channel.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

packet_ack_sequencesArray<string>requiredpath

list of acknowledgement sequences

Response

200OK

A successful response.

default

An unexpected error response.

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

packet_commitment_sequencesArray<string>requiredpath

list of packet sequences

Response

200OK

A successful response.

default

An unexpected error response.

PacketCommitment queries a stored packet commitment hash.

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

PacketReceipt queries if a given packet sequence has been received on the queried chain

GET
https://stride.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

ConnectionChannels queries all the channels associated with a connection end.

GET
https://stride.nownodes.io/ibc/core/channel/v1/connections/{connection}/channels

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connectionstringrequiredpath

connection unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

ClientStates queries all the IBC light clients of a chain.

GET
https://stride.nownodes.io/ibc/core/client/v1/client_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

ClientState queries an IBC light client.

GET
https://stride.nownodes.io/ibc/core/client/v1/client_states/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client state unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

Status queries the status of an IBC client.

GET
https://stride.nownodes.io/ibc/core/client/v1/client_status/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

ConsensusStates queries all the consensus state associated with a given client.

GET
https://stride.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

ConsensusStateHeights queries the height of every consensus states associated with a given client.

GET
https://stride.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}/heights

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

ConsensusState queries a consensus state associated with a client state at a given height.

GET
https://stride.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

revision_numberstring<uint64>requiredpath

consensus state revision number

revision_heightstring<uint64>requiredpath

consensus state revision height

latest_heightbooleanquery

latest_height overrrides the height field and queries the latest stored ConsensusState.

Response

200OK

A successful response.

default

An unexpected error response.

ClientParams queries all parameters of the ibc client submodule.

GET
https://stride.nownodes.io/ibc/core/client/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

UpgradedClientState queries an Upgraded IBC light client.

GET
https://stride.nownodes.io/ibc/core/client/v1/upgraded_client_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

UpgradedConsensusState queries an Upgraded IBC consensus state.

GET
https://stride.nownodes.io/ibc/core/client/v1/upgraded_consensus_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

ClientConnections queries the connection paths associated with a client state.

GET
https://stride.nownodes.io/ibc/core/connection/v1/client_connections/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier associated with a connection

Response

200OK

A successful response.

default

An unexpected error response.

Connections queries all the IBC connections of a chain.

GET
https://stride.nownodes.io/ibc/core/connection/v1/connections

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Connection queries an IBC connection end.

GET
https://stride.nownodes.io/ibc/core/connection/v1/connections/{connection_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection unique identifier

Response

200OK

A successful response.

default

An unexpected error response.

ConnectionClientState queries the client state associated with the connection.

GET
https://stride.nownodes.io/ibc/core/connection/v1/connections/{connection_id}/client_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection identifier

Response

200OK

A successful response.

default

An unexpected error response.

ConnectionConsensusState queries the consensus state associated with the connection.

GET
https://stride.nownodes.io/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection identifier

revision_numberstring<uint64>requiredpath
revision_heightstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

ConnectionParams queries all parameters of the ibc connection submodule.

GET
https://stride.nownodes.io/ibc/core/connection/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

EscrowAddress returns the escrow address for a particular port and channel id.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

unique channel identifier

port_idstringrequiredpath

unique port identifier

Response

200OK

A successful response.

default

An unexpected error response.

DenomHash queries a denomination hash information.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/denom_hashes/{trace}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

tracestringrequiredpath

The denomination trace ([port_id]/[channel_id])+/[denom]

Response

200OK

A successful response.

default

An unexpected error response.

DenomTraces queries all denomination traces.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/denom_traces

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

DenomTrace queries a denomination trace information.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/denom_traces/{hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

hashstringrequiredpath

hash (in hex format) or denom (full denom with ibc prefix) of the denomination trace information.

Response

200OK

A successful response.

default

An unexpected error response.

TotalEscrowForDenom returns the total amount of tokens in escrow based on the denom.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/denoms/{denom}/total_escrow

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters of the ibc-transfer module.

GET
https://stride.nownodes.io/ibc/apps/transfer/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

FeeEnabledChannel returns true if the provided port and channel identifiers belong to a fee enabled channel

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/fee_enabled

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

unique channel identifier

port_idstringrequiredpath

unique port identifier

Response

200OK

A successful response.

default

An unexpected error response.

Gets all incentivized packets for a specific channel

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/incentivized_packets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath
port_idstringrequiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightstring<uint64>query

Height to query at.

Response

200OK

A successful response.

default

An unexpected error response.

CounterpartyPayee returns the registered counterparty payee for forward relaying

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/counterparty_payee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

unique channel identifier

relayerstringrequiredpath

the relayer address to which the counterparty is registered

Response

200OK

A successful response.

default

An unexpected error response.

Payee returns the registered payee address for a specific channel given the relayer address

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/payee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

unique channel identifier

relayerstringrequiredpath

the relayer address to which the distribution address is registered

Response

200OK

A successful response.

default

An unexpected error response.

IncentivizedPacket returns all packet fees for a packet given its identifier

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

packet_id.channel_idstringrequiredpath

channel unique identifier

packet_id.port_idstringrequiredpath

channel port identifier

packet_id.sequencestring<uint64>requiredpath

packet sequence

query_heightstring<uint64>query

block height at which to query.

Response

200OK

A successful response.

default

An unexpected error response.

TotalAckFees returns the total acknowledgement fees for a packet given its identifier

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_ack_fees

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

packet_id.channel_idstringrequiredpath

channel unique identifier

packet_id.port_idstringrequiredpath

channel port identifier

packet_id.sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

TotalRecvFees returns the total receive fees for a packet given its identifier

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_recv_fees

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

packet_id.channel_idstringrequiredpath

channel unique identifier

packet_id.port_idstringrequiredpath

channel port identifier

packet_id.sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

TotalTimeoutFees returns the total timeout fees for a packet given its identifier

GET
https://stride.nownodes.io/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_timeout_fees

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

packet_id.channel_idstringrequiredpath

channel unique identifier

packet_id.port_idstringrequiredpath

channel port identifier

packet_id.sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response.

FeeEnabledChannels returns a list of all fee enabled channels

GET
https://stride.nownodes.io/ibc/apps/fee/v1/fee_enabled

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightstring<uint64>query

block height at which to query.

Response

200OK

A successful response.

default

An unexpected error response.

IncentivizedPackets returns all incentivized packets and their associated fees

GET
https://stride.nownodes.io/ibc/apps/fee/v1/incentivized_packets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightstring<uint64>query

block height at which to query.

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters of the packetforward module.

GET
https://stride.nownodes.io/ibc/apps/packetforward/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.